Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.acegisecurity.providers.cas.populator
Class DaoCasAuthoritiesPopulator

    java.lang.Object
      org.acegisecurity.providers.cas.populator.DaoCasAuthoritiesPopulator

All Implemented Interfaces:
  CasAuthoritiesPopulator, InitializingBean

    public class DaoCasAuthoritiesPopulator

extends Object
implements CasAuthoritiesPopulator, InitializingBean

Populates the CAS authorities via an `UserDetailsService`.

The additional information (username, password, enabled status etc) an `AuthenticationDao` implementation provides about a `User` is ignored. Only the `GrantedAuthority`s are relevant to this class.

Version:
  $Id: DaoCasAuthoritiesPopulator.java,v 1.6 2005/11/30 00:20:12 benalex Exp $
Author:
  Ben Alex

Constructor Summary
`DaoCasAuthoritiesPopulator()`

Method Summary
`void` | `afterPropertiesSet()`
`UserDetails` | `getUserDetails(String casUserId)` Obtains the granted authorities for the specified user.
`UserDetailsService` | `getUserDetailsService()`
`void` | `setUserDetailsService(UserDetailsService authenticationDao)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DaoCasAuthoritiesPopulator

    public DaoCasAuthoritiesPopulator()

Method Detail

### setUserDetailsService

    public void setUserDetailsService(UserDetailsService authenticationDao)

### getUserDetailsService

    public UserDetailsService getUserDetailsService()

### getUserDetails

    public UserDetails getUserDetails(String casUserId)
                               throws AuthenticationException

  Description copied from interface: `CasAuthoritiesPopulator`
  Obtains the granted authorities for the specified user.

  May throw any `AuthenticationException` or return `null` if the authorities are unavailable.

  Specified by:
    `getUserDetails` in interface `CasAuthoritiesPopulator`
  Parameters:
    `casUserId` - as obtained from the CAS validation service
  Returns:
    the details of the indicated user (at minimum the granted authorities and the username)
  Throws:
    `AuthenticationException` - DOCUMENT ME!

### afterPropertiesSet

    public void afterPropertiesSet()
                            throws Exception

  Specified by:
    `afterPropertiesSet` in interface `InitializingBean`
  Throws:
    `Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2005 Acegi Technology Pty Limited. All Rights Reserved.